/*
  camlib.h
*/

/* COPEN Aliases */
#define CAMOPN     COPEN
#define CAM_Open   COPEN
/* CCLOSE Aliases */
#define CAMCLS     CCLOSE
#define CAM_Close  CCLOSE
/* CAMACL Aliases */
#define CAMAC      CAMACL
/* CENLAM Aloases */
#define CELAM      CENLAM
#define CAM_Enable_LAM  CENLAM
/* CDSLAM Aliases */
#define CDLAM      CDSLAM
#define CMA_Disable_LAM CDSLAM
/* CWTLAM ALiases */
#define CWLAM       CWTLAM
#define CAM_WaitLAM CWTLAM

/* Macros */
#define NAF(n,a,f) ( (((n)&0x1F)<<9) | (((a)&0x0F)<<5) | ((f)&0x1F) )
#define NAFMASK     0x3FFF
#define NAFREAD     0x3FE7
#define GetF(x)    ( (x)&0x1F )
#define GetA(x)    ( ((x)>>5)&0x0F )
#define GetN(x)    ( ((x)>>9)&0x1F )
#define CHKF16(x)  ( ((x)>>4)&0x01 )
#define CHKF8(x)   ( ((x)>>3)&0x01 ) 
#define QS_READ    0x10000000
#define LDencode(q,x,n,a,d) ( ((q)<<31) | ((x)<<30) | ((n)<<20) | \
                              ((a)<<16) | ((d)&0xFFFF) )

/* Function Prototypes */
int COPEN( void );
int CCLOSE( void );
int CRESET( void );
int CSETBR( int );
int CSETCR( int );
int CGENZ( void );
int CGENC( void );
int CSETI( void );
int CREMI( void );
int CAMACL( int, int *, int *, int * );
int CAMACW( int, short *, int *, int * );
int CENLAM( int );
int CDSLAM( void );
int CWTLAM( int ); 

int CAMRegisterList( int, int, int, int * );
int CAMUnregisterList( int );
int CAMBlockRead( int, int, int * );


 
